public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test/lib check.sh
@ 2011-09-09 13:19 zkabelac
  0 siblings, 0 replies; 4+ messages in thread
From: zkabelac @ 2011-09-09 13:19 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac@sourceware.org	2011-09-09 13:19:20

Modified files:
	test/lib       : check.sh 

Log message:
	Updated testing script
	
	Since attrs were extended by 2 new fields update check functions.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/check.sh.diff?cvsroot=lvm2&r1=1.5&r2=1.6

--- LVM2/test/lib/check.sh	2011/04/12 12:39:24	1.5
+++ LVM2/test/lib/check.sh	2011/09/09 13:19:19	1.6
@@ -139,8 +139,8 @@
 
 mirror_nonredundant() {
 	lv="$1/$2"
-	lvs -oattr "$lv" | grep "^ *m.....$" >/dev/null || {
-		if lvs -oattr "$lv" | grep "^ *o.....$" >/dev/null &&
+	lvs -oattr "$lv" | grep "^ *m.......$" >/dev/null || {
+		if lvs -oattr "$lv" | grep "^ *o.......$" >/dev/null &&
 		   lvs -a | fgrep "[${2}_mimage" >/dev/null; then
 			echo "TEST WARNING: $lv is a snapshot origin and looks like a mirror,"
 			echo "assuming it is actually a mirror"
@@ -183,7 +183,7 @@
 
 active() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep "^ *....a.$" >/dev/null || {
+	lvl -oattr "$lv" 2> /dev/null | grep "^ *....a...$" >/dev/null || {
 		echo "$lv expected active, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1
@@ -197,7 +197,7 @@
 
 inactive() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep '^ *....[-isd].$' >/dev/null || {
+	lvl -oattr "$lv" 2> /dev/null | grep '^ *....[-isd]...$' >/dev/null || {
 		echo "$lv expected inactive, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test/lib check.sh
@ 2011-01-28 16:08 zkabelac
  0 siblings, 0 replies; 4+ messages in thread
From: zkabelac @ 2011-01-28 16:08 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac@sourceware.org	2011-01-28 16:08:39

Modified files:
	test/lib       : check.sh 

Log message:
	Do not break pipes
	
	As the option 'set -e -o pipefail' is very sensite on pipe breaking
	stop using '-q' for grep commands.
	
	Otherwise this command (with large enough table) would fail:
	
	dmsetup table | egrep -q
	
	with exit code 141 (128 + SIGPIPE)
	
	As Peter suggested, he prefers to keep '-o pipefail' - so make sure all
	piped commands will read the whole output and will not exit too early.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/check.sh.diff?cvsroot=lvm2&r1=1.3&r2=1.4

--- LVM2/test/lib/check.sh	2011/01/07 14:42:35	1.3
+++ LVM2/test/lib/check.sh	2011/01/28 16:08:39	1.4
@@ -139,9 +139,9 @@
 
 mirror_nonredundant() {
 	lv="$1/$2"
-	lvs -oattr "$lv" | grep -q "^ *m.....$" || {
-		if lvs -oattr "$lv" | grep -q "^ *o.....$" &&
-		   lvs -a | fgrep -q "[${2}_mimage"; then
+	lvs -oattr "$lv" | grep "^ *m.....$" >/dev/null || {
+		if lvs -oattr "$lv" | grep "^ *o.....$" >/dev/null &&
+		   lvs -a | fgrep "[${2}_mimage" >/dev/null; then
 			echo "TEST WARNING: $lv is a snapshot origin and looks like a mirror,"
 			echo "assuming it is actually a mirror"
 		else
@@ -174,7 +174,7 @@
 
 linear() {
 	lv="$1/$2"
-	lvl -ostripes "$lv" | grep -q "1" || {
+	lvl -ostripes "$lv" | grep "1" >/dev/null || {
 		echo "$lv expected linear, but is not:"
 		lvl "$lv" -o+devices
 		exit 1
@@ -183,12 +183,12 @@
 
 active() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep -q "^ *....a.$" || {
+	lvl -oattr "$lv" 2> /dev/null | grep "^ *....a.$" >/dev/null || {
 		echo "$lv expected active, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1
 	}
-	dmsetup table | egrep -q "$1-$2: *[^ ]+" || {
+	dmsetup table | egrep "$1-$2: *[^ ]+" >/dev/null || {
 		echo "$lv expected active, lvs thinks it is but there are no mappings!"
 		dmsetup table | grep $1-$2:
 		exit 1
@@ -197,12 +197,12 @@
 
 inactive() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep -q '^ *....[-isd].$' || {
+	lvl -oattr "$lv" 2> /dev/null | grep '^ *....[-isd].$' >/dev/null || {
 		echo "$lv expected inactive, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1
 	}
-	dmsetup table | not egrep -q "$1-$2: *[^ ]+" || {
+	dmsetup table | not egrep "$1-$2: *[^ ]+" >/dev/null || {
 		echo "$lv expected inactive, lvs thinks it is but there are mappings!"
 		dmsetup table | grep $1-$2:
 		exit 1


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test/lib check.sh
@ 2011-01-07 14:42 mornfall
  0 siblings, 0 replies; 4+ messages in thread
From: mornfall @ 2011-01-07 14:42 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2011-01-07 14:42:36

Modified files:
	test/lib       : check.sh 

Log message:
	Fix a typo in the new relaxed mirror check (test/lib/check.sh).

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/check.sh.diff?cvsroot=lvm2&r1=1.2&r2=1.3

--- LVM2/test/lib/check.sh	2011/01/07 13:03:46	1.2
+++ LVM2/test/lib/check.sh	2011/01/07 14:42:35	1.3
@@ -141,7 +141,7 @@
 	lv="$1/$2"
 	lvs -oattr "$lv" | grep -q "^ *m.....$" || {
 		if lvs -oattr "$lv" | grep -q "^ *o.....$" &&
-		   lvs -a | fgrep -q "[${lv}_mimage"; then
+		   lvs -a | fgrep -q "[${2}_mimage"; then
 			echo "TEST WARNING: $lv is a snapshot origin and looks like a mirror,"
 			echo "assuming it is actually a mirror"
 		else


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test/lib check.sh
@ 2011-01-07 13:03 mornfall
  0 siblings, 0 replies; 4+ messages in thread
From: mornfall @ 2011-01-07 13:03 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2011-01-07 13:03:47

Modified files:
	test/lib       : check.sh 

Log message:
	Relax the mirror test in test/lib/check.sh.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/check.sh.diff?cvsroot=lvm2&r1=1.1&r2=1.2

--- LVM2/test/lib/check.sh	2011/01/05 00:16:21	1.1
+++ LVM2/test/lib/check.sh	2011/01/07 13:03:46	1.2
@@ -140,9 +140,15 @@
 mirror_nonredundant() {
 	lv="$1/$2"
 	lvs -oattr "$lv" | grep -q "^ *m.....$" || {
-		echo "$lv expected a mirror, but is not:"
-		lvs -a $lv
-		exit 1
+		if lvs -oattr "$lv" | grep -q "^ *o.....$" &&
+		   lvs -a | fgrep -q "[${lv}_mimage"; then
+			echo "TEST WARNING: $lv is a snapshot origin and looks like a mirror,"
+			echo "assuming it is actually a mirror"
+		else
+			echo "$lv expected a mirror, but is not:"
+			lvs -a $lv
+			exit 1
+		fi
 	}
 	if test -n "$3"; then mirror_log_on "$1" "$2" "$3"; fi
 }


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2011-09-09 13:19 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-09-09 13:19 LVM2/test/lib check.sh zkabelac
  -- strict thread matches above, loose matches on Subject: below --
2011-01-28 16:08 zkabelac
2011-01-07 14:42 mornfall
2011-01-07 13:03 mornfall

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).